Subject: [alpine-aports] [PATCH] testing/zathura-pdf-poppler: new aport

From: Andrew Hills <[email-masked]>
Date: Sun, 7 Jun 2015 17:16:28 -0400

https://pwmt.org/projects/zathura-pdf-poppler
PDF support for zathura via poppler
---
 testing/zathura-pdf-poppler/APKBUILD | 41 ++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/zathura-pdf-poppler/APKBUILD

diff --git a/testing/zathura-pdf-poppler/APKBUILD b/testing/zathura-pdf-poppler/APKBUILD
new file mode 100644
index 0000000..4d95429
--- /dev/null
+++ b/testing/zathura-pdf-poppler/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Andrew Hills <[email-masked]>
+# Maintainer: Andrew Hills <[email-masked]>
+pkgname=zathura-pdf-poppler
+pkgver=0.2.5
+pkgrel=0
+pkgdesc="PDF support for zathura via poppler"
+url="https://pwmt.org/projects/zathura-pdf-poppler"
+arch="all"
+license="zlib"
+depends=""
+depends_dev=""
+makedepends="$depends_dev poppler-dev girara-dev zathura-dev gtk+3.0-dev"
+install=""
+subpackages=""
+source="https://pwmt.org/projects/zathura-pdf-poppler/download/zathura-pdf-poppler-$pkgver.tar.gz"
+
+_builddir="$srcdir"/zathura-pdf-poppler-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="e314b8b136e71aa4925a864141f12d15  zathura-pdf-poppler-0.2.5.tar.gz"
+sha256sums="60b327596d65bcd39edd5bf05b8cca8f9b658f51e626611ea99247a49b860cac  zathura-pdf-poppler-0.2.5.tar.gz"
+sha512sums="6ef167873c469a15f46a59a7e5cf1d50a3b9e3cb496f135da17975de7f9631b8e41076d1e7767f5715eb805d77e19e1bed3e4b39a0c49b0ea6ed2aebe616d56d  zathura-pdf-poppler-0.2.5.tar.gz"
-- 
2.4.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---